<?php

/**
 * @file
 * Settings form for YAYB module.
 */

/**
 * Settings form
 */
function yayb_settings_form() {
  $form = [];
  $form['yayb_toggle'] = [
    '#type' => 'radios',
    '#title' => t('Display Options'),
    '#default_value' => variable_get('yayb_toggle', 0),
    '#options' => ['1' => t('Show Yellow Box'), '0' => t('Hide Yellow Box')],
    '#description' => t('Current message visibility.'),
  ];
  $form['yayb_title'] = [
    '#type' => 'textfield',
    '#title' => t('Title'),
    '#default_value' => variable_get('yayb_title', t('Important Message')),
    '#description' => t('Title for message block.'),
  ];
  $form['yayb_message'] = [
    '#type' => 'textarea',
    '#title' => t('Message'),
    '#default_value' => variable_get('yayb_message', NULL),
    '#description' => t('Message to display to users. This will be passed through the default input filter.'),
  ];
  // @todo: Add a field for posting an expiration timestamp.
  // If present, cron would disable message after this time.
  return system_settings_form($form);
}
